#ifndef _KEY_H_
#define _KEY_H_

#ifdef __cplusplus
extern "C" {
#endif

// 按键触发状态。
typedef enum {
  KEY_NONE = 0,
  KEY_PRESSED,
  KEY_RELEASED
}keyStatus_t;


// 按键引脚定义，默认低电平，高电平表示按键触发。
#define PIN_BTN_S1 0
#define PIN_BTN_S2 1

// 每个按键占一个bit，采用uint8_t，因此共
#define HAL_KEY_BUTTON_S1    0x01
#define HAL_KEY_BUTTON_S2    0x02



#ifdef __cplusplus
}
#endif

#endif
